VJPEG(1)

NAME
vjpeg - visual tool to experience the compression parameter available in sjpeg.

SYNOPSIS
vjpeg [options] input_file

DESCRIPTION
This manual page documents the vjpeg command.

vjpeg compresses a PNG, JPEG or PPM image or recompresses a JPEG image, using the baseline JPEG format and a visual interface based on OpenGL.

OPTIONS
The basic options are:

-h, -help
    A summary of all the possible options.

-version
    Print the SimpleJPEG's library version number (as major.minor.revision) and exit.

-q  int
    Specify the compression factor between 0 and 100. The default is 75. A small factor produces a smaller file with lower quality.

-info
    Overlay some file information on the display.

KEYS
The available key shortcuts are:

       'i' ............... overlay file information

       ' ' ............... show the original uncompressed picture

       up/down ........... change the compression factor by +/- 1 units

       left/right ........ change the compression factor by +/- 10 units

       return ............ show alternate picture (if specified)

       0/1/2/3 ........... change the yuv_mode to auto/yuv420/sharp-yuv420/yuv444

       'o' ............... toggle Huffman optimization

       'a' ............... toggle adaptive quantization

       'b' ............... toggle adaptive bias

       'l' ............... toggle quantization limitation

       't' ............... toggle trellis-based quantization

       'e' ............... show error map

       'r' ............... show riskiness map

       '+'/'-' ........... go to next/previous file

       'h' ............... show this help message

       'q' / 'Q' / ESC ... quit Just press 'h' for help.

BUGS
Please report any bugs to the SJPEG discussion list: https://groups.google.com/forum/#!forum/sjpeg The issue tracker is located at: https://github.com/webmproject/sjpeg/issues
Patches welcome! See this page to get started: http://www.webmproject.org/code/contribute/submitting-patches/

EXAMPLES
vjpeg -q 50 picture.png

AUTHORS
vjpeg was written by Pascal Massimino.
The latest source tree is available at http://www.webmproject.org/code

This manual page was written by Pascal Massimino <pascal.massimino@gmail.com>, for the Debian project (and may be used by others).

SEE ALSO
sjpeg(1)